import React from "react";
import Auth from "./index";
import { Link } from "react-router-dom";

export default (props) => {
  const { code, fallback, ...leftProps } = props;
  return (
    <Auth code={code} fallback={fallback}>
      <Link { ...leftProps } />
    </Auth>
  );
};
