import React from 'react';
import { Switch } from 'antd';
import Auth from './index';

export default (props) => {
  const { code, fallback, ...leftProps } = props;

  return (
    <Auth code={code} fallback={fallback}>
      <Switch {...leftProps} />
    </Auth>
  )
}
