import React from "react";
import { Card } from "antd";
export default (props) => {
  const { taMemberCardList } = props;

  const CardAll = () => {
    return (taMemberCardList || []).map((it) => {
      return (
        <Card
          id={it?.cardId}
          style={{ width: "100%" }}
          title={it?.cardType ? it?.cardType : "会员卡"}
        >
          <Card.Grid>
            <Card.Meta title="开卡人姓名" description={it?.memberName} />
          </Card.Grid>
          <Card.Grid>
            <Card.Meta title="手机号" description={it?.memberPhone} />
          </Card.Grid>
          <Card.Grid>
            <Card.Meta title="总次数" description={it?.totalAmount} />
          </Card.Grid>
          <Card.Grid>
            <Card.Meta title="剩余次数" description={it?.leftAmount} />
          </Card.Grid>
          <Card.Grid>
            <Card.Meta title="开卡日期" description={it?.bizDate} />
          </Card.Grid>
          <Card.Grid>
            <Card.Meta title="总时长" description={it?.totalTime} />
          </Card.Grid>
          <Card.Grid>
            <Card.Meta title="截止日期" description={it?.expireTime} />
          </Card.Grid>
        </Card>
      );
    });
  };

  return <CardAll />;
};
