import React, { useState } from 'react'
import { Row, Col } from 'antd'
import ProjectEdit from './ProjectEdit'
import Finance from './Finance'
import ProjectNode from './ProjectNode'
import Custom from './Custom'
import style from './style.module.less'

export default (props) => {
  const [customId, setCustomId] = useState()

  return (
    <div>
      <div className={style.box}>
        <div className={style.flex1d5}>
          <ProjectEdit setCustomId={setCustomId} />
        </div>
        <div className={style.flex1}>
          <Custom customId={customId} />
        </div>
      </div>
      <Finance />
      <ProjectNode />
    </div>
  )
}
