import request from "@/utils/request";

/**
 * 部门查询
 */
export const getDept = (params) =>
  request("/sysDept", {
    params,
  });

/**
 * 新增数据
 */

export const postDept = (data) => request("/sysDept", { method: "post", data });

/**
 * ID查询
 */
export const getDeptId = (id, data) => request(`/sysDept/${id}`, { data });

/**
 * 更新数据
 */
export const putDeptId = (id, data) =>
  request(`/sysDept/${id}`, { method: "put", data });

/**
 * 删除数据
 */
export const deleteDeptId = (id) =>
  request(`/sysDept/${id}`, { method: "delete" });
