import request from "@/utils/request";

/*
 * 分页查询
 */
export const getSysUser = (params) => request(`/sysUser`, { params });

/*
 * 新增数据
 */
export const postSysUser = (data) => request('/sysUser', { data, method: 'post' });

/*
 * 更新数据
 */
export const putSysUser = (id, data) => request(`/api/sysUser/edit/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteSysUser = (id) => request(`/sysUser/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getSysUserById = (id) => request(`/sysUser/${id}`);


/**
 * 重置密码 
 */

export const getRestPaw=(params)=>request(`​/api​/admin​/sysUser​/${id}​/password`,{params,method: 'put'})


/**
 *  更新状态
 */
export const getRestSts=(params)=>request(`​/api​/admin​/sysUser​/${id}​/status`,{params,method: 'put'})
