import request from "@/utils/request";

/**
 *
 * @returns 分页查询
 */
export const getSysRoleResource = (params) => request("/sysRoleResource");

/**
 * 新增数据
 */

export const postSysRoleResource = (data) =>
  request("/sysRoleResource", { data, method: "post" });

/**
 * ID查询
 */

export const getSysRoleResourceId = (id) => request(`/sysRoleResource/${id}`);

/**
 * 更新数据
 */

export const putSysRoleResourceId = (id, data) =>
  request(`/sysRoleResource/${id}`, { data, method: "put" });

/**
 * 删除数据
 */

export const deleteSysRoleResourceId = (id) =>
  request(`/sysRoleResource/${id}`, { method: "delete" });


  
// 获取授权
export const getSysRoleResources = (roleId) =>
request(`/role/${roleId}/resources`);

// 授权资源
export const postSysRoleResources = (roleId, data) =>
request(`/role/${roleId}/resources`, { params: { roleId }, data, method: 'post' });
