import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaCustom = (params) => request(`/taCustom`, { params });

/*
 * 新增数据
 */
export const postTaCustom = (data) => request('/taCustom', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaCustom = (id, data) => request(`/taCustom/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCustom = (id) => request(`/taCustom/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaCustomId = (id) => request(`/taCustom/${id}`);