import request from "@/utils/request";

/**
 * 部门查询
 */
export const getTaMemberCard = (params) =>
  request("/taMemberCard", {
    params,
  });

/**
 * 新增数据
 */

export const postTaMemberCard = (data) =>
  request("/taMemberCard", { method: "post", data });

/**
 * ID查询
 */
export const getTaMemberCardId = (id, data) =>
  request(`/taMemberCard/${id}`, { data });

/**
 * 更新数据
 */
export const putTaMemberCardId = (id, data) =>
  request(`/taMemberCard/${id}`, { method: "put", data });

/**
 * 删除数据
 */
export const deleteTaMemberCardId = (id) =>
  request(`/taMemberCard/${id}`, { method: "delete" });

/**
 * 开卡
 */
export const postTaMemberCardIdActive = (data) =>
  request(`/taMemberCard/active`, { method: "post", data });

/**
 * 核销卡
 */ export const putTaMemberCardIdWrite = (cardId) =>
  request(`/taMemberCard/${cardId}/write`, { method: "put" });
