import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaPackage = (params) => request(`/taPackage`, { params });

/*
 * 新增数据
 */
export const postTaPackage = (data) => request('/taPackage', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaPackage = (id, data) => request(`/taPackage/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaPackage = (id) => request(`/taPackage/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaPackageId = (id) => request(`/taPackage/${id}`);