import request from "@/utils/request";


/*
 * 分页查询
 */
export const getTaProjectContact = (params) => request(`/taProjectContact`, { params });

/*
 * 新增数据
 */
export const postTaProjectContact = (data) => request('/taProjectContact', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaProjectContact = (id, data) => request(`/taProjectContact/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaProjectContact = (id) => request(`/taProjectContact/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaProjectContactId = (id) => request(`/taProjectContact/${id}`);