import request from "@/utils/request";


/*
 * 分页查询
 */
export const getTaProjectDeploy = (params) => request(`/taProjectDeploy`, { params });

/*
 * 新增数据
 */
export const postTaProjectDeploy = (data) => request('/taProjectDeploy', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaProjectDeploy = (id, data) => request(`/taProjectDeploy/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaProjectDeploy = (id) => request(`/taProjectDeploy/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaProjectDeployId = (id) => request(`/taProjectDeploy/${id}`);