import request from "@/utils/request";




/*
 * 分页查询
 */
export const getTaProjectNode = (params) => request(`/taProjectNode`, { params });

/*
 * 新增数据
 */
export const postTaProjectNode = (data) => request('/taProjectNode', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaProjectNode = (id, data) => request(`/taProjectNode/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaProjectNode = (id) => request(`/taProjectNode/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaProjectNodeId = (id) => request(`/taProjectNode/${id}`);