import request from "@/utils/request";


/*
 * 分页查询
 */
export const getTfFinance = (params) => request(`/tfFinance`, { params });

/*
 * 新增数据
 */
export const postTfFinance = (data) => request('/tfFinance', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTfFinance = (id, data) => request(`/tfFinance/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTfFinance = (id) => request(`/tfFinance/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTfFinanceId = (id) => request(`/tfFinance/${id}`);