import request from "@/utils/request";


/*
 * 分页查询
 */
export const getTfItemFinance = (params) => request(`/tfFinanceItem`, { params });

/*
 * 新增数据
 */
export const postTfItemFinance = (data) => request('/tfFinanceItem', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTfItemFinance = (id, data) => request(`/tfFinanceItem/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTfItemFinance = (id) => request(`/tfFinanceItem/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTfItemFinanceId = (id) => request(`/tfFinanceItem/${id}`);