import request from "@/utils/request";

/*
 * 修改密码
 */
export const changePassword = (params) =>
  request(`/changPassword`, { params, method: "post" });

/*
 * 后台登录
 */
export const login = (data) =>
  request("/login", { data, method: "post" });

/*
* 登出
*/
export const logout = (data) =>
  request("/logout", { data, method: "post" });


/*
 *查询当前登录状态
 */
export const isLogin = (params) => request("/isLogin", { params })


/**
 * 获取当前用户信息
 */
export const currentUser = (params) => request("/current", { params })
