import request from "@/utils/request";

/**
 *
 * @returns 分页查询
 */
export const getRole = (params) => request("/sysRole", { params });

/**
 * 新增数据
 */

export const postSysRole = (data) =>
  request("/sysRole", { data, method: "post" });

/**
 * Id查询
 */

export const getSysRoleId = (id, data) => request(`/sysRole/${id}`, { data });

/**
 * 更新数据
 */

export const putSysRoleId = (id, data) =>
  request(`/sysRole/${id}`, { data, method: "put" });

/**
 * 删除数据
 */

export const deleteSysRoleId = (id, data) =>
  request(`/sysRole/${id}`, { data, method: "delete" });
