import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaPackageItem = (params) => request(`/taPackageItem`, { params });

/*
 * 新增数据
 */
export const postTaPackageItem = (data) => request('/taPackageItem', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaPackageItem = (id, data) => request(`/taPackageItem/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaPackageItem = (id) => request(`/taPackageItem/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaPackageItemId = (id) => request(`/taPackageItem/${id}`);




/*
 * 通过packageId查询所有
 */
export const getTaPackageId = (params) => request(`/taPackageIdItem`,{params});