import request from "@/utils/request";


/*
 * 分页查询
 */
export const getTaProject = (params) => request(`/taProject`, { params });

/*
 * 新增数据
 */
export const postTaProject = (data) => request('/taProject', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaProject = (id, data) => request(`/taProject/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaProject = (id) => request(`/taProject/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaProjectId = (id) => request(`/taProject/${id}`);